Subject: Building: gdb/mswin
From: [email-masked] (Stuart Williams)

2 Dec 1996 17:35:31 -0800
Sender: [email-masked]
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset="us-ascii"
Content-Transfer-Encoding: 7bit
Original-To: "'GNU-Win32 Mailing List'" <[email-masked]>
Original-Sender: [email-masked]

I'm new to GNU/GCC and have just managed to build the --target=m68k-coff 
--host=i386-cygwin32 --build=hppa1.1-hp-hpux9.05 configuration from the
b16 release. 

I have to say I was impressed at all the work that made this possible.

However, I'm completely stuck on building the Windows versions of GDB 
in the mswin sub-directory. Is there a file anywhere with instructions.
I've been making slow progress with the MSVC 4.2 compiler. It barfs
a great deal from a command line nmake and won't start at all from
developer studio (multiple items building the same file). 
I've had to play tricks with subst eg.

	subst g: c:\cygnus\src

so that references to g: in the makefile work. 
I've hacked at some header files to get rid of compiler error.

I'm sure I shouldn't have to do this. I've tried stepping back to MSVC 2.0.
But I get registry problems during the install... which then bails out.

Alternatively, is there an archive with pre-built binaries that I can
download to save on the headaches.

Many thanks

Stuart Williams
HP Labs, Bristol

-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".